<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

{{ template "_internal/opengraph.html" . }}
{{ template "_internal/twitter_cards.html" . }}

{{- with .Site.Params.google_verify_meta -}}
<meta name="google-site-verification" content="{{ . }}" />
{{ end }}


<meta name="description" content="{{ with .Description }}{{ . }}{{ else }}{{if .IsPage}}{{ .Summary }}{{ else }}{{ with .Site.Params.description }}{{ . }}{{ end }}{{ end }}{{ end -}}" />
    

{{- if or (.Params.keywords) (or (.Params.categories) (.Params.tags)) -}}

<meta name="keywords" content="{{ delimit (union .Params.keywords (union .Params.categories .Params.tags)) ", " }}" />
{{- end }}

{{- with .Site.Params.bing_verify_meta -}}
<meta name="msvalidate.01" content="{{ . }}" />
{{ end }}

{{- with .Site.Params.yandex_verify_meta -}}
<meta name="yandex-verification" content="{{ . }}" />
{{ end }}

{{- .Site.Hugo.Generator -}}

<link rel="apple-touch-icon" href="/appicons/tb-icon-196x196.png" />
<meta name="theme-color" content="#105DBB" />
<link rel="manifest" href="/manifest.json" />

<link rel="me" href="https://mastodon.me.uk/@sean" />
{{- /* vim: set ts=2 sw=2 et: */}}
